diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -4761,7 +4764,7 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
 
     /* only use old uncompressed audio chunk demuxing when stts specifies it */
     if (!(st->codecpar->codec_type == AVMEDIA_TYPE_AUDIO &&
-          sc->stts_count == 1 && sc->stts_data && sc->stts_data[0].duration == 1)) {
+        sc->stts_count == 1 && sc->stts_data && sc->stts_data[0].duration == 1)) {
         unsigned int current_sample = 0;
         unsigned int stts_sample = 0;
         unsigned int sample_size;
@@ -4778,8 +4781,8 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
         if (sc->sample_count >= UINT_MAX / sizeof(*sti->index_entries) - sti->nb_index_entries)
             return;
         if (av_reallocp_array(&sti->index_entries,
-                              sti->nb_index_entries + sc->sample_count,
-                              sizeof(*sti->index_entries)) < 0) {
+            sti->nb_index_entries + sc->sample_count,
+            sizeof(*sti->index_entries)) < 0) {
             sti->nb_index_entries = 0;
             return;
         }
@@ -4790,18 +4793,18 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
             return;
 
         for (i = 0; i < sc->chunk_count; i++) {
-            int64_t next_offset = i+1 < sc->chunk_count ? sc->chunk_offsets[i+1] : INT64_MAX;
+            int64_t next_offset = i + 1 < sc->chunk_count ? sc->chunk_offsets[i + 1] : INT64_MAX;
             current_offset = sc->chunk_offsets[i];
             while (mov_stsc_index_valid(stsc_index, sc->stsc_count) &&
                 i + 1 == sc->stsc_data[stsc_index + 1].first)
                 stsc_index++;
 
-            if (next_offset > current_offset && sc->sample_size>0 && sc->sample_size < sc->stsz_sample_size &&
+            if (next_offset > current_offset && sc->sample_size > 0 && sc->sample_size < sc->stsz_sample_size &&
                 sc->stsc_data[stsc_index].count * (int64_t)sc->stsz_sample_size > next_offset - current_offset) {
                 av_log(mov->fc, AV_LOG_WARNING, "STSZ sample size %d invalid (too large), ignoring\n", sc->stsz_sample_size);
                 sc->stsz_sample_size = sc->sample_size;
             }
-            if (sc->stsz_sample_size>0 && sc->stsz_sample_size < sc->sample_size) {
+            if (sc->stsz_sample_size > 0 && sc->stsz_sample_size < sc->sample_size) {
                 av_log(mov->fc, AV_LOG_WARNING, "STSZ sample size %d invalid (too small), ignoring\n", sc->stsz_sample_size);
                 sc->stsz_sample_size = sc->sample_size;
             }
@@ -4813,11 +4816,12 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
                     return;
                 }
 
-                if (!sc->keyframe_absent && (!sc->keyframe_count || current_sample+key_off == sc->keyframes[stss_index])) {
+                if (!sc->keyframe_absent && (!sc->keyframe_count || current_sample + key_off == sc->keyframes[stss_index])) {
                     keyframe = 1;
                     if (stss_index + 1 < sc->keyframe_count)
                         stss_index++;
-                } else if (sc->stps_count && current_sample+key_off == sc->stps_data[stps_index]) {
+                }
+                else if (sc->stps_count && current_sample + key_off == sc->stps_data[stps_index]) {
                     keyframe = 1;
                     if (stps_index + 1 < sc->stps_count)
                         stps_index++;
@@ -4833,21 +4837,21 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
                 if (sc->keyframe_absent
                     && !sc->stps_count
                     && !rap_group_present
-                    && (st->codecpar->codec_type == AVMEDIA_TYPE_AUDIO || (i==0 && j==0)))
-                     keyframe = 1;
+                    && (st->codecpar->codec_type == AVMEDIA_TYPE_AUDIO || (i == 0 && j == 0)))
+                    keyframe = 1;
                 if (keyframe)
                     distance = 0;
                 sample_size = sc->stsz_sample_size > 0 ? sc->stsz_sample_size : sc->sample_sizes[current_sample];
                 if (current_offset > INT64_MAX - sample_size) {
                     av_log(mov->fc, AV_LOG_ERROR, "Current offset %"PRId64" or sample size %u is too large\n",
-                           current_offset,
-                           sample_size);
+                        current_offset,
+                        sample_size);
                     return;
                 }
 
                 if (sc->pseudo_stream_id == -1 ||
-                   sc->stsc_data[stsc_index].id - 1 == sc->pseudo_stream_id) {
-                    AVIndexEntry *e;
+                    sc->stsc_data[stsc_index].id - 1 == sc->pseudo_stream_id) {
+                    AVIndexEntry* e;
                     if (sample_size > 0x3FFFFFFF) {
                         av_log(mov->fc, AV_LOG_ERROR, "Sample size %u is too large\n", sample_size);
                         return;
@@ -4859,8 +4863,8 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
                     e->min_distance = distance;
                     e->flags = keyframe ? AVINDEX_KEYFRAME : 0;
                     av_log(mov->fc, AV_LOG_TRACE, "AVIndex stream %d, sample %u, offset %"PRIx64", dts %"PRId64", "
-                            "size %u, distance %u, keyframe %d\n", st->index, current_sample,
-                            current_offset, current_dts, sample_size, distance, keyframe);
+                        "size %u, distance %u, keyframe %d\n", st->index, current_sample,
+                        current_offset, current_dts, sample_size, distance, keyframe);
                     if (st->codecpar->codec_type == AVMEDIA_TYPE_VIDEO && sti->nb_index_entries < 100)
                         ff_rfps_add_frame(mov->fc, st, current_dts);
                 }
@@ -4880,13 +4884,18 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
             }
         }
         if (st->duration > 0)
-            st->codecpar->bit_rate = stream_size*8*sc->time_scale/st->duration;
-    } else {
+            st->codecpar->bit_rate = stream_size * 8 * sc->time_scale / st->duration;
+    }
+    else {
         unsigned chunk_samples, total = 0;
 
         if (!sc->chunk_count || sc->tts_count)
             return;
 
+        ret = mov_merge_tts_data(mov, st, MOV_MERGE_CTTS);
+        if (ret < 0)
+            return;
+
         // compute total chunk count
         for (i = 0; i < sc->stsc_count; i++) {
             unsigned count, chunk_count;
@@ -4900,15 +4909,17 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
 
             if (sc->samples_per_frame >= 160) { // gsm
                 count = chunk_samples / sc->samples_per_frame;
-            } else if (sc->samples_per_frame > 1) {
-                unsigned samples = (1024/sc->samples_per_frame)*sc->samples_per_frame;
-                count = (chunk_samples+samples-1) / samples;
-            } else {
-                count = (chunk_samples+1023) / 1024;
+            }
+            else if (sc->samples_per_frame > 1) {
+                unsigned samples = (1024 / sc->samples_per_frame) * sc->samples_per_frame;
+                count = (chunk_samples + samples - 1) / samples;
+            }
+            else {
+                count = (chunk_samples + 1023) / 1024;
             }
 
             if (mov_stsc_index_valid(i, sc->stsc_count))
-                chunk_count = sc->stsc_data[i+1].first - sc->stsc_data[i].first;
+                chunk_count = sc->stsc_data[i + 1].first - sc->stsc_data[i].first;
             else
                 chunk_count = sc->chunk_count - (sc->stsc_data[i].first - 1);
             total += chunk_count * count;
@@ -4918,8 +4929,8 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
         if (total >= UINT_MAX / sizeof(*sti->index_entries) - sti->nb_index_entries)
             return;
         if (av_reallocp_array(&sti->index_entries,
-                              sti->nb_index_entries + total,
-                              sizeof(*sti->index_entries)) < 0) {
+            sti->nb_index_entries + total,
+            sizeof(*sti->index_entries)) < 0) {
             sti->nb_index_entries = 0;
             return;
         }
@@ -4934,25 +4945,27 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
             chunk_samples = sc->stsc_data[stsc_index].count;
 
             while (chunk_samples > 0) {
-                AVIndexEntry *e;
+                AVIndexEntry* e;
                 unsigned size, samples;
 
                 if (sc->samples_per_frame > 1 && !sc->bytes_per_frame) {
                     avpriv_request_sample(mov->fc,
-                           "Zero bytes per frame, but %d samples per frame",
-                           sc->samples_per_frame);
+                        "Zero bytes per frame, but %d samples per frame",
+                        sc->samples_per_frame);
                     return;
                 }
 
                 if (sc->samples_per_frame >= 160) { // gsm
                     samples = sc->samples_per_frame;
                     size = sc->bytes_per_frame;
-                } else {
+                }
+                else {
                     if (sc->samples_per_frame > 1) {
-                        samples = FFMIN((1024 / sc->samples_per_frame)*
-                                        sc->samples_per_frame, chunk_samples);
+                        samples = FFMIN((1024 / sc->samples_per_frame) *
+                            sc->samples_per_frame, chunk_samples);
                         size = (samples / sc->samples_per_frame) * sc->bytes_per_frame;
-                    } else {
+                    }
+                    else {
                         samples = FFMIN(1024, chunk_samples);
                         size = samples * sc->sample_size;
                     }
@@ -4973,18 +4986,14 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
                 e->min_distance = 0;
                 e->flags = AVINDEX_KEYFRAME;
                 av_log(mov->fc, AV_LOG_TRACE, "AVIndex stream %d, chunk %u, offset %"PRIx64", dts %"PRId64", "
-                       "size %u, duration %u\n", st->index, i, current_offset, current_dts,
-                       size, samples);
+                    "size %u, duration %u\n", st->index, i, current_offset, current_dts,
+                    size, samples);
 
                 current_offset += size;
                 current_dts += samples;
                 chunk_samples -= samples;
             }
         }
-
-        ret = mov_merge_tts_data(mov, st, MOV_MERGE_CTTS);
-        if (ret < 0)
-            return;
     }
 
     if (!mov->ignore_editlist && mov->advanced_editlist) {
@@ -5003,42 +5012,45 @@ static void mov_build_index(MOVContext *mov, AVStream *st)
     mov_estimate_video_delay(mov, st);
 }
 
-static int test_same_origin(const char *src, const char *ref) {
+static int test_same_origin(const char* src, const char* ref) {
     char src_proto[64];
     char ref_proto[64];
     char src_auth[256];
     char ref_auth[256];
     char src_host[256];
     char ref_host[256];
-    int src_port=-1;
-    int ref_port=-1;
+    int src_port = -1;
+    int ref_port = -1;
 
     av_url_split(src_proto, sizeof(src_proto), src_auth, sizeof(src_auth), src_host, sizeof(src_host), &src_port, NULL, 0, src);
     av_url_split(ref_proto, sizeof(ref_proto), ref_auth, sizeof(ref_auth), ref_host, sizeof(ref_host), &ref_port, NULL, 0, ref);
 
     if (strlen(src) == 0) {
         return -1;
-    } else if (strlen(src_auth) + 1 >= sizeof(src_auth) ||
+    }
+    else if (strlen(src_auth) + 1 >= sizeof(src_auth) ||
         strlen(ref_auth) + 1 >= sizeof(ref_auth) ||
         strlen(src_host) + 1 >= sizeof(src_host) ||
         strlen(ref_host) + 1 >= sizeof(ref_host)) {
         return 0;
-    } else if (strcmp(src_proto, ref_proto) ||
-               strcmp(src_auth, ref_auth) ||
-               strcmp(src_host, ref_host) ||
-               src_port != ref_port) {
+    }
+    else if (strcmp(src_proto, ref_proto) ||
+        strcmp(src_auth, ref_auth) ||
+        strcmp(src_host, ref_host) ||
+        src_port != ref_port) {
         return 0;
-    } else
+    }
+    else
         return 1;
 }
 
-static int mov_open_dref(MOVContext *c, AVIOContext **pb, const char *src, MOVDref *ref)
+static int mov_open_dref(MOVContext* c, AVIOContext** pb, const char* src, MOVDref* ref)
 {
     /* try relative path, we do not try the absolute because it can leak information about our
        system to an attacker */
     if (ref->nlvl_to > 0 && ref->nlvl_from > 0) {
         char filename[1025];
-        const char *src_path;
+        const char* src_path;
         int i, l;
 
         /* find a source dir */
@@ -5058,7 +5070,7 @@ static int mov_open_dref(MOVContext *c, AVIOContext **pb, const char *src, MOVDr
             }
 
         /* compose filename if next level down to target was found */
-        if (i == ref->nlvl_to - 1 && src_path - src  < sizeof(filename)) {
+        if (i == ref->nlvl_to - 1 && src_path - src < sizeof(filename)) {
             memcpy(filename, src, src_path - src);
             filename[src_path - src] = 0;
 
@@ -5089,22 +5101,24 @@ static int mov_open_dref(MOVContext *c, AVIOContext **pb, const char *src, MOVDr
             if (!c->fc->io_open(c->fc, pb, filename, AVIO_FLAG_READ, NULL))
                 return 0;
         }
-    } else if (c->use_absolute_path) {
+    }
+    else if (c->use_absolute_path) {
         av_log(c->fc, AV_LOG_WARNING, "Using absolute path on user request, "
-               "this is a possible security issue\n");
+            "this is a possible security issue\n");
         if (!c->fc->io_open(c->fc, pb, ref->path, AVIO_FLAG_READ, NULL))
             return 0;
-    } else {
+    }
+    else {
         av_log(c->fc, AV_LOG_ERROR,
-               "Absolute path %s not tried for security reasons, "
-               "set demuxer option use_absolute_path to allow absolute paths\n",
-               ref->path);
+            "Absolute path %s not tried for security reasons, "
+            "set demuxer option use_absolute_path to allow absolute paths\n",
+            ref->path);
     }
 
     return AVERROR(ENOENT);
 }
 
-static void fix_timescale(MOVContext *c, MOVStreamContext *sc)
+static void fix_timescale(MOVContext* c, MOVStreamContext* sc)
 {
     if (sc->time_scale <= 0) {
         av_log(c->fc, AV_LOG_WARNING, "stream %d, timescale not set\n", sc->ffindex);
@@ -5115,13 +5129,13 @@ static void fix_timescale(MOVContext *c, MOVStreamContext *sc)
 }
 
 #if CONFIG_IAMFDEC
-static int mov_update_iamf_streams(MOVContext *c, const AVStream *st)
+static int mov_update_iamf_streams(MOVContext* c, const AVStream* st)
 {
-    const MOVStreamContext *sc = st->priv_data;
-    const IAMFContext *iamf = &sc->iamf->iamf;
+    const MOVStreamContext* sc = st->priv_data;
+    const IAMFContext* iamf = &sc->iamf->iamf;
 
     for (int i = 0; i < iamf->nb_audio_elements; i++) {
-        const AVStreamGroup *stg = NULL;
+        const AVStreamGroup* stg = NULL;
 
         for (int j = 0; j < c->fc->nb_stream_groups; j++)
             if (c->fc->stream_groups[j]->id == iamf->audio_elements[i]->audio_element_id)
@@ -5129,20 +5143,20 @@ static int mov_update_iamf_streams(MOVContext *c, const AVStream *st)
         av_assert0(stg);
 
         for (int j = 0; j < stg->nb_streams; j++) {
-            const FFStream *sti = cffstream(st);
-            AVStream *out = stg->streams[j];
-            FFStream *out_sti = ffstream(stg->streams[j]);
+            const FFStream* sti = cffstream(st);
+            AVStream* out = stg->streams[j];
+            FFStream* out_sti = ffstream(stg->streams[j]);
 
             out->codecpar->bit_rate = 0;
 
             if (out == st)
                 continue;
 
-            out->time_base           = st->time_base;
-            out->start_time          = st->start_time;
-            out->duration            = st->duration;
-            out->nb_frames           = st->nb_frames;
-            out->discard             = st->discard;
+            out->time_base = st->time_base;
+            out->start_time = st->start_time;
+            out->duration = st->duration;
+            out->nb_frames = st->nb_frames;
+            out->discard = st->discard;
 
             av_assert0(!out_sti->index_entries);
             out_sti->index_entries = av_malloc(sti->index_entries_allocated_size);
@@ -5160,29 +5174,28 @@ static int mov_update_iamf_streams(MOVContext *c, const AVStream *st)
 }
 #endif
 
-static int sanity_checks(void *log_obj, MOVStreamContext *sc, int index)
+static int sanity_checks(void* log_obj, MOVStreamContext* sc, int index)
 {
     if ((sc->chunk_count && (!sc->stts_count || !sc->stsc_count ||
-                            (!sc->sample_size && !sc->sample_count))) ||
-        (sc->sample_count && (!sc->chunk_count ||
-                             (!sc->sample_size && !sc->sample_sizes)))) {
+        (!sc->sample_size && !sc->sample_count))) ||
+        (!sc->chunk_count && sc->sample_count)) {
         av_log(log_obj, AV_LOG_ERROR, "stream %d, missing mandatory atoms, broken header\n",
-               index);
+            index);
         return 1;
     }
 
-    if (sc->stsc_count && sc->stsc_data[ sc->stsc_count - 1 ].first > sc->chunk_count) {
+    if (sc->stsc_count && sc->stsc_data[sc->stsc_count - 1].first > sc->chunk_count) {
         av_log(log_obj, AV_LOG_ERROR, "stream %d, contradictionary STSC and STCO\n",
-               index);
+            index);
         return 2;
     }
     return 0;
 }
 
-static int mov_read_trak(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_trak(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int ret;
 
     st = avformat_new_stream(c->fc, NULL);
@@ -5227,13 +5240,20 @@ static int mov_read_trak(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (!sc->stts_count && c->advanced_editlist) {
 
         av_log(c->fc, AV_LOG_VERBOSE, "advanced_editlist does not work with fragmented "
-                                      "MP4. disabling.\n");
+            "MP4. disabling.\n");
         c->advanced_editlist = 0;
         c->advanced_editlist_autodisabled = 1;
     }
 
     mov_build_index(c, st);
+    if (sc->fragment_duration_sum > 0 &&
+        st->codecpar->bit_rate == 0) {
 
+        st->codecpar->bit_rate =
+            av_rescale(sc->fragment_size_sum * 8,
+                sc->time_scale,
+                sc->fragment_duration_sum);
+    }
 #if CONFIG_IAMFDEC
     if (sc->iamf) {
         ret = mov_update_iamf_streams(c, st);
@@ -5242,25 +5262,27 @@ static int mov_read_trak(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
 #endif
 
-    if (sc->dref_id-1 < sc->drefs_count && sc->drefs[sc->dref_id-1].path) {
-        MOVDref *dref = &sc->drefs[sc->dref_id - 1];
+    if (sc->dref_id - 1 < sc->drefs_count && sc->drefs[sc->dref_id - 1].path) {
+        MOVDref* dref = &sc->drefs[sc->dref_id - 1];
         if (c->enable_drefs) {
             if (mov_open_dref(c, &sc->pb, c->fc->url, dref) < 0)
                 av_log(c->fc, AV_LOG_ERROR,
-                       "stream %d, error opening alias: path='%s', dir='%s', "
-                       "filename='%s', volume='%s', nlvl_from=%d, nlvl_to=%d\n",
-                       st->index, dref->path, dref->dir, dref->filename,
-                       dref->volume, dref->nlvl_from, dref->nlvl_to);
-        } else {
+                    "stream %d, error opening alias: path='%s', dir='%s', "
+                    "filename='%s', volume='%s', nlvl_from=%d, nlvl_to=%d\n",
+                    st->index, dref->path, dref->dir, dref->filename,
+                    dref->volume, dref->nlvl_from, dref->nlvl_to);
+        }
+        else {
             av_log(c->fc, AV_LOG_WARNING,
-                   "Skipped opening external track: "
-                   "stream %d, alias: path='%s', dir='%s', "
-                   "filename='%s', volume='%s', nlvl_from=%d, nlvl_to=%d."
-                   "Set enable_drefs to allow this.\n",
-                   st->index, dref->path, dref->dir, dref->filename,
-                   dref->volume, dref->nlvl_from, dref->nlvl_to);
-        }
-    } else {
+                "Skipped opening external track: "
+                "stream %d, alias: path='%s', dir='%s', "
+                "filename='%s', volume='%s', nlvl_from=%d, nlvl_to=%d."
+                "Set enable_drefs to allow this.\n",
+                st->index, dref->path, dref->dir, dref->filename,
+                dref->volume, dref->nlvl_from, dref->nlvl_to);
+        }
+    }
+    else {
         sc->pb = c->fc->pb;
         sc->pb_is_copied = 1;
     }
@@ -5269,13 +5291,13 @@ static int mov_read_trak(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         int stts_constant = sc->stts_count && sc->tts_count;
         if (sc->h_spacing && sc->v_spacing)
             av_reduce(&st->sample_aspect_ratio.num, &st->sample_aspect_ratio.den,
-                      sc->h_spacing, sc->v_spacing, INT_MAX);
+                sc->h_spacing, sc->v_spacing, INT_MAX);
         if (!st->sample_aspect_ratio.num && st->codecpar->width && st->codecpar->height &&
             sc->height && sc->width &&
             (st->codecpar->width != sc->width || st->codecpar->height != sc->height)) {
             av_reduce(&st->sample_aspect_ratio.num, &st->sample_aspect_ratio.den,
-                      (int64_t)st->codecpar->height * sc->width,
-                      (int64_t)st->codecpar->width  * sc->height, INT_MAX);
+                (int64_t)st->codecpar->height * sc->width,
+                (int64_t)st->codecpar->width * sc->height, INT_MAX);
         }
 
 #if FF_API_R_FRAME_RATE
@@ -5286,26 +5308,20 @@ static int mov_read_trak(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         }
         if (stts_constant)
             av_reduce(&st->r_frame_rate.num, &st->r_frame_rate.den,
-                      sc->time_scale, sc->tts_data[0].duration, INT_MAX);
+                sc->time_scale, sc->tts_data[0].duration, INT_MAX);
 #endif
     }
 
-#if CONFIG_H261_DECODER || CONFIG_H263_DECODER || CONFIG_MPEG4_DECODER
     switch (st->codecpar->codec_id) {
-#if CONFIG_H261_DECODER
     case AV_CODEC_ID_H261:
-#endif
-#if CONFIG_H263_DECODER
     case AV_CODEC_ID_H263:
-#endif
-#if CONFIG_MPEG4_DECODER
     case AV_CODEC_ID_MPEG4:
-#endif
         st->codecpar->width = 0; /* let decoder init width/height */
-        st->codecpar->height= 0;
+        st->codecpar->height = 0;
+        break;
+    default:
         break;
     }
-#endif
 
     // If the duration of the mp3 packets is not constant, then they could need a parser
     if (st->codecpar->codec_id == AV_CODEC_ID_MP3
@@ -5332,7 +5348,7 @@ static int mov_read_trak(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_ilst(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_ilst(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int ret;
     c->itunes_metadata = 1;
@@ -5341,7 +5357,7 @@ static int mov_read_ilst(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return ret;
 }
 
-static int mov_read_keys(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_keys(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     uint32_t count;
     uint32_t i;
@@ -5354,7 +5370,7 @@ static int mov_read_keys(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     atom.size -= 8;
     if (count >= UINT_MAX / sizeof(*c->meta_keys)) {
         av_log(c->fc, AV_LOG_ERROR,
-               "The 'keys' atom with the invalid key count: %"PRIu32"\n", count);
+            "The 'keys' atom with the invalid key count: %"PRIu32"\n", count);
         return AVERROR_INVALIDDATA;
     }
 
@@ -5368,13 +5384,13 @@ static int mov_read_keys(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         uint32_t type = avio_rl32(pb);
         if (key_size < 8 || key_size > atom.size) {
             av_log(c->fc, AV_LOG_ERROR,
-                   "The key# %"PRIu32" in meta has invalid size:"
-                   "%"PRIu32"\n", i, key_size);
+                "The key# %"PRIu32" in meta has invalid size:"
+                "%"PRIu32"\n", i, key_size);
             return AVERROR_INVALIDDATA;
         }
         atom.size -= key_size;
         key_size -= 8;
-        if (type != MKTAG('m','d','t','a')) {
+        if (type != MKTAG('m', 'd', 't', 'a')) {
             avio_skip(pb, key_size);
             continue;
         }
@@ -5387,22 +5403,22 @@ static int mov_read_keys(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_custom(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_custom(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int64_t end = av_sat_add64(avio_tell(pb), atom.size);
-    uint8_t *key = NULL, *val = NULL, *mean = NULL;
+    uint8_t* key = NULL, * val = NULL, * mean = NULL;
     int i;
     int ret = 0;
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     for (i = 0; i < 3; i++) {
-        uint8_t **p;
+        uint8_t** p;
         uint32_t len, tag;
 
         if (end - avio_tell(pb) <= 12)
@@ -5424,7 +5440,8 @@ static int mov_read_custom(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             avio_skip(pb, 4);
             len -= 4;
             p = &val;
-        } else
+        }
+        else
             break;
 
         if (*p)
@@ -5446,19 +5463,20 @@ static int mov_read_custom(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (mean && key && val) {
         if (strcmp(key, "iTunSMPB") == 0) {
             int priming, remainder, samples;
-            if(sscanf(val, "%*X %X %X %X", &priming, &remainder, &samples) == 3){
-                if(priming>0 && priming<16384)
+            if (sscanf(val, "%*X %X %X %X", &priming, &remainder, &samples) == 3) {
+                if (priming > 0 && priming < 16384)
                     sc->start_pad = priming;
             }
         }
         if (strcmp(key, "cdec") != 0) {
             av_dict_set(&c->fc->metadata, key, val,
-                        AV_DICT_DONT_STRDUP_KEY | AV_DICT_DONT_STRDUP_VAL);
+                AV_DICT_DONT_STRDUP_KEY | AV_DICT_DONT_STRDUP_VAL);
             key = val = NULL;
         }
-    } else {
+    }
+    else {
         av_log(c->fc, AV_LOG_VERBOSE,
-               "Unhandled or malformed custom metadata of size %"PRId64"\n", atom.size);
+            "Unhandled or malformed custom metadata of size %"PRId64"\n", atom.size);
     }
 
     avio_seek(pb, end, SEEK_SET);
@@ -5468,10 +5486,10 @@ static int mov_read_custom(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return ret;
 }
 
-static int heif_add_stream(MOVContext *c, HEIFItem *item)
+static int heif_add_stream(MOVContext* c, HEIFItem* item)
 {
-    MOVStreamContext *sc;
-    AVStream *st;
+    MOVStreamContext* sc;
+    AVStream* st;
 
     st = avformat_new_stream(c->fc, NULL);
     if (!st)
@@ -5527,7 +5545,7 @@ fail:
     return AVERROR(ENOMEM);
 }
 
-static int mov_read_meta(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_meta(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     while (atom.size > 8) {
         uint32_t tag;
@@ -5535,7 +5553,7 @@ static int mov_read_meta(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             return AVERROR_EOF;
         tag = avio_rl32(pb);
         atom.size -= 4;
-        if (tag == MKTAG('h','d','l','r')) {
+        if (tag == MKTAG('h', 'd', 'l', 'r')) {
             avio_seek(pb, -8, SEEK_CUR);
             atom.size += 8;
             return mov_read_default(c, pb, atom);
@@ -5553,21 +5571,21 @@ static int mov_read_meta(MOVContext *c, AVIOContext *pb, MOVAtom atom)
      !(matrix)[1][0] && !(matrix)[1][2] && \
      !(matrix)[2][0] && !(matrix)[2][1])
 
-static int mov_read_tkhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_tkhd(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int i, j, e;
     int width;
     int height;
     int display_matrix[3][3];
     int res_display_matrix[3][3] = { { 0 } };
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int version;
     int flags;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     // Each stream (trak) should have exactly 1 tkhd. This catches bad files and
@@ -5582,7 +5600,8 @@ static int mov_read_tkhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (version == 1) {
         avio_rb64(pb);
         avio_rb64(pb);
-    } else {
+    }
+    else {
         avio_rb32(pb); /* creation time */
         avio_rb32(pb); /* modification time */
     }
@@ -5621,8 +5640,8 @@ static int mov_read_tkhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         for (j = 0; j < 3; j++) {
             for (e = 0; e < 3; e++) {
                 res_display_matrix[i][j] +=
-                    ((int64_t) display_matrix[i][e] *
-                     c->movie_display_matrix[e][j]) >> sh[e];
+                    ((int64_t)display_matrix[i][e] *
+                        c->movie_display_matrix[e][j]) >> sh[e];
             }
         }
     }
@@ -5646,10 +5665,10 @@ static int mov_read_tkhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
         for (i = 0; i < 2; i++)
             disp_transform[i] = hypot(sc->display_matrix[0 + i],
-                                      sc->display_matrix[3 + i]);
+                sc->display_matrix[3 + i]);
 
-        if (disp_transform[0] > 1       && disp_transform[1] > 1 &&
-            disp_transform[0] < (1<<24) && disp_transform[1] < (1<<24) &&
+        if (disp_transform[0] > 1 && disp_transform[1] > 1 &&
+            disp_transform[0] < (1 << 24) && disp_transform[1] < (1 << 24) &&
             fabs((disp_transform[0] / disp_transform[1]) - 1.0) > 0.01)
             st->sample_aspect_ratio = av_d2q(
                 disp_transform[0] / disp_transform[1],
@@ -5658,12 +5677,12 @@ static int mov_read_tkhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_tfhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_tfhd(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVFragment *frag = &c->fragment;
-    MOVTrackExt *trex = NULL;
+    MOVFragment* frag = &c->fragment;
+    MOVTrackExt* trex = NULL;
     int flags, track_id, i;
-    MOVFragmentStreamInfo * frag_stream_info;
+    MOVFragmentStreamInfo* frag_stream_info;
 
     avio_r8(pb); /* version */
     flags = avio_rb24(pb);
